/* Farsight
 * Copyright (C) <2005> Philippe Khalaf <burger@speedy.org> 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __GST_R263DEPAYLOAD_H__
#define __GST_R263DEPAYLOAD_H__

#include <gst/gst.h>
#include <gst/rtp/gstbasertpdepayload.h>

G_BEGIN_DECLS

/* #define's don't like whitespacey bits */
#define GST_TYPE_R263DEPAYLOAD (gst_r263depayload_get_type())
#define GST_R263DEPAYLOAD(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),GST_TYPE_R263DEPAYLOAD,GstR263Depayload))
#define GST_R263DEPAYLOAD_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),GST_TYPE_R263DEPAYLOAD,GstR263Depayload))
#define GST_IS_R263DEPAYLOAD(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),GST_TYPE_R263DEPAYLOAD))
#define GST_IS_R263DEPAYLOAD_CLASS(obj) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),GST_TYPE_R263DEPAYLOAD))

typedef struct _GstR263Depayload      GstR263Depayload;
typedef struct _GstR263DepayloadClass GstR263DepayloadClass;

struct _GstR263Depayload
{
  GstBaseRTPDepayload parent;
};

struct _GstR263DepayloadClass
{
  GstBaseRTPDepayloadClass parent_class;
};

GType gst_r263depayload_get_type (void);

gboolean gst_r263depayload_plugin_init (GstPlugin * plugin);

G_END_DECLS

#endif /* __GST_R263DEPAYLOAD_H__ */
